
Foreman - Feature #12679

Health screen

12/03/2015 04:29 AM - Ohad Levy

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

As a user, I would like to have a special page which details all system status and notifications.

a few idea

move all system ping tests (proxies, compute resources, db response time etc) to this page

provide a notification area in case the system detect failures of sort (e.g. something failed earlier, and identified as a

configuration error etc, the error might be logged and acked on this page).

provide a place to let the user some components are not configured (e.g. trend counters etc)

allow plugins to extend as needed.

Related issues:

Is duplicate of Foreman - Feature #5784: as an admin, I would like to know wh... New 05/19/2014

History

#1 - 12/08/2015 02:48 AM - Ohad Levy

some ideas can be reused from https://github.com/boogiespook/sat6_healthCheck/blob/master/sat6_healthCheck.sh

#2 - 12/10/2015 10:57 AM - Dominic Cleal

- Is duplicate of Feature #5784: as an admin, I would like to know whats foreman health/status added

#3 - 12/10/2015 10:57 AM - Dominic Cleal

- Status changed from New to Duplicate
